include <WiFi.h>
              #include <WiFiClient.h>
              
              const char* ssid = "ESP_AP";
              const char* password = "123456789";
              const char* host = "192.168.4.1"; // AP ESP32 IP
              const uint16_t port = 80;
              
              WiFiClient client;
              
              void setup() {
                  Serial.begin(115200);
                  delay(10);
              
                  Serial.println();
                  Serial.print("Connecting to ");
                  Serial.println(ssid);
              
                  WiFi.begin(ssid, password);
              
                  while (WiFi.status() != WL_CONNECTED) {
                      delay(500);
                      Serial.print(".");
                  }
              
                  Serial.println("");
                  Serial.println("WiFi connected");
                  Serial.print("IP address: ");
                  Serial.println(WiFi.localIP());
              
                  if (client.connect(host, port)) {
                      client.println("hello world"); // SEND "hello world"
                      client.stop();
                      Serial.println("Message sent to server");
                  } else {
                      Serial.println("Connection to server failed");
                  }
              }
              
              void loop() {
                  delay(5000);
                  ESP.restart();
              }              
